=== debian/changelog ===
python-forbiddenfruit (0.1.4-2) unstable; urgency=medium

  * Mark python3-forbiddenfruit Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Oct 2025 21:07:45 +0100

python-forbiddenfruit (0.1.4-1) unstable; urgency=medium

  * Initial release (closes: #1111569).
  * Apply upstream PR #79 from Michał Górny to port to pytest.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Aug 2025 14:34:40 +0100
