=== debian/control ===
Source: python-forbiddenfruit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/clarete/forbiddenfruit
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-forbiddenfruit
Vcs-Git: https://salsa.debian.org/python-team/packages/python-forbiddenfruit.git
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-forbiddenfruit
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Allow Python code to extend built-in types
 This package allows Python code to patch built-in objects declared in C.  
 It can be used for various purposes such as writing assertion libraries, 
 spying on the behaviour of objects, or profiling.
