=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := forbiddenfruit
export PYBUILD_BEFORE_TEST := FFRUIT_EXTENSION=true {interpreter} {dir}/setup.py build_ext && cp -a {dir}/build/lib*/ffruit*.so {dir}/tests/unit/
export PYBUILD_AFTER_TEST := rm -f {dir}/tests/unit/ffruit*.so

%:
	dh $@ --buildsystem=pybuild
